<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="Customers" type="System.Configuration.NameValueSectionHandler"/>
  </configSections>

  <!-- Connection string for the central tracking database. -->
  <connectionStrings>
    <add name="Weighsoft" connectionString="Server=ISYSSRV112\development;Database=Cobham_Weighsoft5; Trusted_Connection=true"/>
  </connectionStrings>

  <appSettings>
    <add key="appName" value="WeighsoftAppService"/>
  </appSettings>

  <startup>
    
  <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2"/></startup>
  <system.serviceModel>
    <bindings>
      <customBinding>
        <binding name="WebServiceSoap12">
          <textMessageEncoding maxReadPoolSize="64" maxWritePoolSize="16" messageVersion="Soap12" writeEncoding="utf-8">
            <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384"/>
          </textMessageEncoding>
          <httpTransport manualAddressing="false" maxBufferPoolSize="524288" maxReceivedMessageSize="9150536" allowCookies="false" authenticationScheme="Anonymous" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" keepAliveEnabled="true" maxBufferSize="9150536" proxyAuthenticationScheme="Anonymous" realm="" transferMode="Buffered" unsafeConnectionNtlmAuthentication="false" useDefaultWebProxy="true"/>
        </binding>
      </customBinding>
    </bindings>
    <client>
      <endpoint address="http://dataexchangeded.weighsoft.co.uk/WebService.asmx" binding="customBinding" bindingConfiguration="WebServiceSoap12" contract="DataExchangeWebServer.WebServiceSoap" name="WebServiceSoap12"/>
    </client>
  </system.serviceModel>
</configuration>
